elksemu(1)

NAME
elksemu - Embedded Linux Kernel Subset emulator

SYNOPSIS
/lib/elksemu program [arguments]

DESCRIPTION
Elksemu is a program that allows 8086 ELKS programs to be run under Linux-i386. These programs can be compiled using the bcc(1) C compiler. Yom may use the binfmt-misc module under Linux 2.1.43 or greater as described in the elksemu README which will cause the kernel to run elksemu with the correct arguments whenever the user tries to execute an ELKS executable directly.

OPTIONS
There are no flag options to elksemu, the first argument is the name of the program to run the rest are arguments that are passed to the Elks program.

SECURITY
The elksemu program may be installed suid-root and in this event it is able to run execute only (chmod 111) elks executables and act correctly on the suid permission bits on any executable. This should be considered a security hazard so elksemu does not have to be installed suid-root. If you consider using this facility you should also be aware that it will override the 'nosuid' mount(8) option.

SEE ALSO
bcc(1), as86(1), ld86(1)

BUGS
Elksemu is incomplete. The program may still have security bugs!